Loading...
Searching...
No Matches
Halide::Internal::Prefetch Struct Reference

Represent a multi-dimensional region of a Func or an ImageParam that needs to be prefetched. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Prefetch:

## Static Public Member Functions

static Stmt | make (const std::string &name, const std::vector< Type > &types, const Region &bounds, const PrefetchDirective &prefetch, Expr condition, Stmt body)

## Public Attributes

std::string | name
std::vector< Type > | types
Region | bounds
PrefetchDirective | prefetch
Expr | condition
Stmt | body
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::Prefetch

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::StmtNode< Prefetch >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Represent a multi-dimensional region of a Func or an ImageParam that needs to be prefetched.

Definition at line 956 of file IR.h.

## Member Function Documentation

## make()

Stmt Halide::Internal::Prefetch::make | ( | const std::string & | name,
|  | const std::vector< Type > & | types,
|  | const Region & | bounds,
|  | const PrefetchDirective & | prefetch,
|  | Expr | condition,
|  | Stmt | body )

static

References body, bounds, condition, name, prefetch, and types.

## Member Data Documentation

## name

std::string Halide::Internal::Prefetch::name

Definition at line 957 of file IR.h.

Referenced by make().

## types

std::vector<Type> Halide::Internal::Prefetch::types

Definition at line 958 of file IR.h.

Referenced by make().

## bounds

Region Halide::Internal::Prefetch::bounds

Definition at line 959 of file IR.h.

Referenced by make().

## prefetch

PrefetchDirective Halide::Internal::Prefetch::prefetch

Definition at line 960 of file IR.h.

Referenced by make().

## condition

Expr Halide::Internal::Prefetch::condition

Definition at line 961 of file IR.h.

Referenced by make().

## body

Stmt Halide::Internal::Prefetch::body

Definition at line 963 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::Prefetch::_node_type = IRNodeType::Prefetch

static

Definition at line 970 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h